Name:           perl-Net-Server-Coro
Version:        1.2
Release:        5%{?dist}

Summary:        Co-operative multithreaded server using Coro
License:        MIT
URL:            http://search.cpan.org/dist/Net-Server-Coro/

Source0:        http://www.cpan.org/authors/id/A/AL/ALEXMV/Net-Server-Coro-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(inc::Module::Install)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# This one is not automatically caught by RPM
Requires:       perl(Net::SSLeay)

%description
Net::Server::Coro implements multithreaded server for the Net::Server
architecture, using Coro and Coro::Socket to make all reads and writes non-
blocking. Additionally, it supports non-blocking SSL negotiation.


%prep
%setup -q -n Net-Server-Coro-%{version}

# Build using the system-provided module, not the bundled one
rm -fr inc


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%files
%doc Changes
%{_mandir}/man?/Net::Server::Coro*.gz
%{perl_vendorlib}/Net


%check
make test


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 1.2-3
- Perl 5.16 rebuild

* Mon Feb 06 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2-2
- Build using the system-provided module, not the bundled one.
  This fixes the issue raised by Petr:
      https://bugzilla.redhat.com/show_bug.cgi?id=785057#c5
- Run the unit tests, even if there's none. Ther emight be some in the future,
  so this makes the package better prepared.

* Fri Jan 27 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2-1
- Initial packaging, with a little help from my friend cpanspec.
